<?php

/*
  Plugin Name: Directorypress Reassign Authors
  Plugin URI: http://www.geektrick.com
  Description: Reassigns all the listings in a DirectoryPress site with authors. The plugin uses an uploaded CSV file to match the listing url with the author emails.
  Version: 1.0
  Author: Anshul Sojatia
  Author URI: http://www.geektrick.com/author/anshulsojatia
 */
/*
  Administration
 */
add_action("admin_menu", "wp_dra_menu");

function wp_dra_menu() {
    if (function_exists("add_submenu_page")):
        add_submenu_page('users.php', "DirectoryPress Reassign Authors", "Reassign Authors", "administrator", "dra", "dra_menu_page");
    endif;
}

function dra_menu_page() {
    include("plugin_page.php");
}

function get_listings() {
    global $wpdb;
    $default = array(
        'post_type' => 'post',
        'numberposts' => -1,
        'post_status' => 'publish'
    );
    $options = $default;
    
    $query = "SELECT * 
        FROM $wpdb->posts, $wpdb->postmeta
        WHERE $wpdb->posts.ID = $wpdb->postmeta.post_id 
        AND $wpdb->postmeta.meta_key in ('url')";

    if ($options['post_type'] != 'any'):
        $query .= " AND $wpdb->posts.post_type = '" . $options['post_type'] . "'";
    endif;        

    $posts = $wpdb->get_results($query, OBJECT);
    return $posts;
}
?>
